oasis.names.tc.saml._2_0.assertion

## Class SubjectLocality

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.SubjectLocality

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:15:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class SubjectLocality
      extends Object
      implements Serializable

  Java class for SubjectLocalityType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectLocalityType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DNSName" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectLocality()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Gets the value of the address property.
    `String` | `getDNSName()` Gets the value of the dnsName property.
    `void` | `setAddress(String value)` Sets the value of the address property.
    `void` | `setDNSName(String value)` Sets the value of the dnsName property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubjectLocality

          public SubjectLocality()

  - ### Method Detail

    - #### getAddress

          public String getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `String`

    - #### setAddress

          public void setAddress(String value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDNSName

          public String getDNSName()

      Gets the value of the dnsName property.
      Returns:
        possible object is `String`

    - #### setDNSName

          public void setDNSName(String value)

      Sets the value of the dnsName property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.